> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get model quality user query



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/model-quality-user-query
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/model-quality-user-query:
    summary: Returns model quality user config for the model.
    parameters:
      - description: Identifier for the model.
        in: path
        name: model_id
        required: true
        schema:
          type: string
    get:
      tags:
        - ModelQuality
      summary: Get model quality user query
      operationId: getModelQualityUserQuery
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelQualityUserQueryResponse'
          description: The model quality user query was fetched successfully.
        '204':
          description: The model quality user query does not exist for the user.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    modelQualityUserQueryResponse:
      description: >-
        The model quality query for a model of a user to get the model quality
        analyze results.
      discriminator:
        mapping:
          classification:
            $ref: '#/components/schemas/modelQualityClassificationUserQuery'
          regression:
            $ref: '#/components/schemas/modelQualityRegressionUserQuery'
        propertyName: modelType
      oneOf:
        - $ref: '#/components/schemas/modelQualityRegressionUserQuery'
        - $ref: '#/components/schemas/modelQualityClassificationUserQuery'
      title: User Query for Model quality.
    modelQualityClassificationUserQuery:
      allOf:
        - $ref: '#/components/schemas/modelQualityClassificationQuery'
        - $ref: '#/components/schemas/modelQualityUserQueryCommon'
    modelQualityRegressionUserQuery:
      allOf:
        - $ref: '#/components/schemas/modelQualityRegressionQuery'
        - $ref: '#/components/schemas/modelQualityUserQueryCommon'
    modelQualityClassificationQuery:
      allOf:
        - $ref: '#/components/schemas/metricQueryCommon'
        - properties:
            metricCheckConfigs:
              items:
                $ref: '#/components/schemas/classificationCheckConfig'
              type: array
          required:
            - metricCheckConfigs
          type: object
      description: Query config for Classification model
      title: Classification Metric Query
    modelQualityUserQueryCommon:
      properties:
        modelId:
          description: Unique identifier of the model.
          title: Model Identifier
          type: string
        userId:
          description: Unique identifier of the user.
          title: User Identifier
          type: string
      required:
        - modelId
        - userId
      type: object
    modelQualityRegressionQuery:
      allOf:
        - $ref: '#/components/schemas/metricQueryCommon'
        - properties:
            metricCheckConfigs:
              items:
                $ref: '#/components/schemas/regressionCheckConfig'
              type: array
          required:
            - metricCheckConfigs
          type: object
      description: Query config for Regression model
      title: Regression Metric Query
    metricQueryCommon:
      description: Metric Query Common components acrooss all metrics.
      properties:
        endTimestamp:
          type: number
        modelType:
          $ref: '#/components/schemas/modelType'
        startTimestamp:
          type: number
      required:
        - modelType
      title: Metric Query Common components
      type: object
    classificationCheckConfig:
      allOf:
        - $ref: '#/components/schemas/metricCheckConfigCommon'
        - properties:
            metricType:
              $ref: '#/components/schemas/classificationMetrics'
          required:
            - metricType
          type: object
    regressionCheckConfig:
      allOf:
        - $ref: '#/components/schemas/metricCheckConfigCommon'
        - properties:
            metricType:
              $ref: '#/components/schemas/regressionMetrics'
          required:
            - metricType
          type: object
    modelType:
      description: Type of the model
      type: string
    metricCheckConfigCommon:
      description: Query config Common components
      properties:
        alertsEnabled:
          description: Whether this feature is alertable for not
          title: Alertable
          type: boolean
        threshold:
          $ref: '#/components/schemas/metricCheckThreshold'
      required:
        - alertsEnabled
        - threshold
      title: Metric Query config Common components
      type: object
    classificationMetrics:
      description: A Classification Metric Name
      enum:
        - accuracy
        - precision
        - recall
        - f1
        - auc_roc
        - log_loss
        - classification_normalized_weighted_gini
      title: Classification Metrics
      type: string
    regressionMetrics:
      description: A Regression Metric Name
      enum:
        - mse
        - mae
        - mape
        - r2
        - regression_normalized_weighted_gini
      title: Regression Metric
      type: string
    metricCheckThreshold:
      description: Check Thresholds at which the check fails
      properties:
        lowerThreshold:
          description: The lower bound for the metric check
          title: Lower Bound
          type: number
        operator:
          description: The math operator for the condition, like < or <=.
          title: Math Operator
          type: string
        upperThreshold:
          description: The upper bound for the metric check
          title: Upper Bound
          type: number
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      title: Metric Check Thresholds
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get model quality scheduler query](/api-reference/modelquality/get-model-quality-scheduler-query.md)
- [Get model quality trend](/api-reference/modelquality/get-model-quality-trend.md)
- [Get model quality scheduled checks timeline](/api-reference/modelquality/get-model-quality-scheduled-checks-timeline.md)
- [Snowflake queries](/cloud/platform-capabilities/features/models/snowflake-queries.md)
